#pragma once
#include "SyncQueue.h"
#include "basecamera.h"
#include "MvCameraControl.h"
#include "CameraParams.h"

#define HIKClassID 0x03

class HIKCamera: public BaseCamera
{
public:
	HIKCamera(int DeviceNum);
	~HIKCamera();

	static int Enumerate();

public:
	static MV_CC_DEVICE_INFO_LIST stDeviceList;

};
